Welcome To Optimal Desktop Help!

The Optimal Desktop Help System has been designed to give you an introduction to our Software. We recommend that you read the help topics to understand how Optimal Desktop works.

Optimal Desktop is a product that will totally change the way you work. It is a highly flexible tool that you can customize to suit your needs.

Optimal Desktop has been created to give you what you have always longed for; total control over your immediate working environment. Our Software is simple to use, once you release the conventional way of thinking! With Optimal Desktop, you can be creative, innovative and individual.

About The Optimal Desktop Help System

We have divided the Help system into sections as follows:

Overview: An introduction to the components and terminology used in Optimal Desktop. New users should always begin by reviewing this section.

Using Optimal Desktop: This section contains practical instructions for using the various features and functions of the software.

FAQs: This section contains informative answers to a variety of often asked questions about Optimal Desktop.

Tips 'n' Tricks: This section contains some hints to help get you started

Contact Us: Visit this section to learn how to request prodcut support.

There is also a helpful Glossary of Terms.

How To Use The Optimal Desktop Help System

Each feature of Optimal Desktop is covered in its own chapter. Each topic within a chapter explains a specific function of the feature.

You will see the following navigation icons at the top of each topic:

Home: Clicking Home will return you to the 1st topic (Welcome) in the Optimal Desktop help file.

Back: To navigate to a previous topic, click Back. You can also click the Back tab near the upper left on the Help System's menu.

Next: To navigate to the next topic, click Next. You can also open the next topic directly from the hierarchical topic tree at the left frame.

Have fun with Optimal Desktop!


What Is Optimal Desktop?

Optimal Desktop is a Multiple Document Interface, that lets you access files, folders, and web pages from the same window using tabs. Each tab opens a new and independent window, so you can easily organize access to your information in one easy to use application.

Optimal Desktop brings to you a new way of working. You can now work in a way that the standard Windows interface does not allow!

What makes Optimal Desktop compelling is its customizable navigation system. Node tabs are really shortcuts to information objects. With Optimal Desktop you can drag webpages, files and folders and create easily create custom navigation of your information world based on context. Node's are organized in container bins and bins are organized in portal interfaces, so nothing is ever more than 3 clicks away!

With Optimal Desktop, you:

  • Can manage all types of links through tabs, toolbars and/or drop down menus
  • Share your links, organized in Optimal Desktop portals and/or Optimal Link trees with other users.
  • Block browser popups (Professional Edition only)
  • Record Links, and web based passwords and play them back automatically (Professional Edition only)
  • Manage large projects and user groups through personalized portals
  • Build your own Toolbars and Menus. Not happy with the standard interface of Windows? Let loose your creativity! Drag items from one menu to another. Choose colors, icons and even button size to build your own customized toolbars and menus!
  • Design colorful Skins for your desktop. Have each element of your desktop look different! If you like the uniform look, choose among Optimal Desktop's many pre-configured Skins.
  • Explore the contents of zipped (archive) files, without having to unzip them first!
  • Manage shortcuts to your information from a centralized location. Assign your own unique combinations of shortcut keys combined with the alphanumeric characters and function keys on your keyboard!
  • View only specific information within folders. Apply Filters to keep out what you don't want to see! Customize, modify, manipulate and play around with your Filters. Create multiple Filters and Filter groups to toggle displays of different file types in the same window!
  • Define windowing configurations and Toolbar settings, assign a state and recall the state with a keystroke, or through a drop down menu.
  • Select interesting icons to display next to your folders and Web page links! Optimal Desktop has a major store of these colorful, descriptive icons for your use. What's more, you can keep adding to them!


Why Do I Need This Tool?

Optimal Desktop's designers believe that managing multiple browser windows by jumping from application to application belongs to the old computing paradigm – if you agree, you're ready for Optimal Desktop!

Let's look at some of Optimal Desktop's applications so we can understand why a customizable and brandable navigation can save us time and help us be more efficient when using our computers.

Internet Access

You use the Internet to search for information, do your banking, read news and follow your favorite sports teams. Optimal Desktop offers you the tools to bookmark your favorite destinations so that you are never more than 3 clicks from anything.

You are also tired of popups and have to manage many passwords to access your information. Optimal Desktop's Popup Manager and Link Recorder tools address your special needs.

Network Administration

You are in charge of managing users access to information. Your portals are continuously in a state of flux and your user requirements change on a daily basis. Further, every user has a special need and wants you to help them.

Optimal Desktop lets you manage both your own information access needs and those of your users. Easily customize every users' desktop and archive and post relevant information portals to users' desktop, tying information from the corporate intranet (files, folders and web pages) with the Internet. Optimal Desktop lets you deliver custom portals to your users' desktops and allows users to further customize their portals to manage their needs.

Collaboration

You are working on a project with a group of people and have a need to share the results of your research with other users. The Optimal Desktop portal sharing feature is a unique concept that lets you share hundreds of links organized in easy-to-use portals with other users.

When you first download Optimal Desktop, you see many web-pages tied together in a virtual portal interface. That is the power of portal sharing in Optimal Desktop.

Mobile Solution

Optimal Desktop Mobile Edition lets you install Optimal Desktop on any removable drive so you can take your favorites, passwords, files, toolbar, skin, zip application, popup blocker settings, and files with you. This solution is complete plug & play and is a great backup resource for your mobile computing.


The Idea Behind Optimal Desktop

Optimal Desktop offers productivity through personalization. A Multiple Document Interface application lets you organize access to files, folders and web pages in one window and access each link through its own tab.

The most compelling feature of Optimal Desktop is its navigation system. With Optimal Desktop, you use Portals, Containers and Nodes to customize the navigation of your information objects.

You don't have to look for files and folders anymore. Drag your drives and folders into Containers, and create Nodes. Consider Containers to be spacious bins into which you can place your folders. Look at a Portal as a virtual space where you can organize information of a specific type within Nodes and Containers. You can have many Portals, many Containers and many Nodes within Optimal Desktop. You can move and copy information among Nodes and Containers of the same or different Portals.

Optimal Desktop portals can be easily customized in a personal and business setting per user, hence giving users quick access to the information they use frequently. Further, Optimal Desktop portals are shareable. This means powerful collaboration between a group of users, or maximum control for an administrator managing multiple computers.

Customizable skins, toolbars offer new dimensions in branding projects and information for easy access and dissemination. Popup Killer and Password recorder offer additional usability features.

A Mobile solution lets users store and carry an entire desktop on USB sticks and other removable media. This solution is ideal for users who need to access multiple computers in various locations to perform their job. Optimal Desktop offers efficiencies of scale for users and organizations.

You are in total control here, because the actual files and folders remain where they are. No more panic attacks. No more 'File not found' messages! Optimal Desktop is a huge shortcut manager, with a colorful, cheerful Graphical User Interface that you can have fun with! With a tool like Optimal Desktop, your information management tasks become extremely simple.

You're free to present information in any way you want. You can customize your desktop using the freely available information management features in Optimal Desktop. Every element of Optimal Desktop is customizable. You can therefore design and configure your interfaces to suit your personal preferences and working philosophy.


What You Should Know About Optimal Desktop

Creating Personal Context is the Future of Personalization!

Effective communication can be defined as weaving context to illuminate meaning. Optimal Desktop is the tool that gives you the freedom to easily define your own personal context. With Optimal Desktop, you can manage all of your needs from one personalized application Portal.

At a glance:

  • Desktop - Your Optimal Desktop consists of a desktop with two panels.
  • Panels - Each panel can display one Portal at a time. The same Portal can be displayed in both Panels. You can view different areas of the same Portal in the 2 Panels and share information between them!
  • Portals - You can view information within Portals in three distinct views (each view is located near the upper right of the Actions bar: TreeView, ListView and PreView.
  • Containers - Your Portal holds Containers; each container can store up to 30 Nodes.
  • Nodes - Nodes are shortcut tabs to your information objects – files and folders. You can also create Nodes by dragging and dropping system drives, web page URLs, and remote FTP sites into your Containers. You can store web page links in special Optimal Link Nodes. You can view web pages within Optimal Desktop, without launching a browser separately.
  • Filters - You can choose to view only selected file types or selected folders in a Node or Portal by applying Filters.
  • States - You can move your windows around and show or hide Container and Node tabs. You can do all this manually, or configure different window settings in Optimal Desktop States. Change the entire orientation of your windows with one click! Use different views for the same information - TreeView for file and folder lists and PreView for previewing information.
  • Skins - You can apply different Skins to Optimal Desktop, changing the look and feel to suit your own aesthetic needs.
  • Popups – Stop popups automatically, manage a list of popups to kill and a list if popups to exclude from your blocking list.
  • Link Recorder - Record a series of links for automatic playback. This feature is meant to manage your Internet passwords.

These topics are discussed in detail in the upcoming sections.


Components of Optimal Desktop

Component | Definition
Tree-View Window | This window displays information objects in their hierarchical order.
List-View Window | This window displays the contents of the information object selected in the Tree-View. For example, if you've selected the folder My Documents in the Tree-View, you can see the folders and files within My Documents in the List-View.
PreView Window | This window displays the contents of the information object selected in the List-View. You can preview files, edit them and save them using this window. You can view your web pages in the Preview window. You do not need to launch a separate browser window to view your web pages anymore!
Panels | A Panel is an instance of the Optimal Desktop windowing display. Optimal Desktop can display 2 Panels at a time. Each Panel can be divided into two windows. You can divide a Panel into 1 or 2 windows using Optimal Desktop's Splitter feature.
Splitter | The Splitter (accessed from: Managers > Desktop Manager), splits the desktop into windows. You can view a maximum of 4 windows, 2 in each Panel. Tip: If you choose the maximum and one of the windows does not have content, you will receive an error message and the splitter will reset.
Portals | A Portal consists of a user-defined collection of Containers and Nodes. You can communicate with other users of Optimal Desktop through Portals. Each Portal can contain a maximum of 30 Containers, and each Container can contain a maximum of 30 Nodes pointing to different information objects. You can assign Skins to your Portals, switch between Portals and define a shortcut bar for your Portal list on your menu bar. You can create a maximum of 128 Portals.
Containers | A Container contains a group of user-defined Nodes, which hold the actual links to your selected information objects. You can think of a Container as a cabinet drawer that holds your folders. When you create a new Container, you always get a default Node tab that points to the master desktop tree. A Container can hold shortcuts to different types of information objects. For example, Nodes within a Container can point to various objects such as a specific folder, a URL or a remote FTP site. You can create a maximum of 30 Containers for a single Portal.
Nodes | A Node is a user-defined shortcut tab that contains links to various information objects. Each Node refers to an object in the Tree-View. You can also drag URLs from your browser and create Optimal Links that can be opened within Optimal Access, without launching a browser. You can create a maximum of 30 Nodes for a Container.
States | You can configure different States for your Optimal Desktop view. The way you want to view your desktop is configured in a State. Using customized States, you can toggle Portal views, tab views and optimize desktop display. You can also assign keyboard shortcuts to States, making switching between States less than 3 clicks away! You can configure a maximum of 128 States for your desktop.
Filters and Filter Groups | You can use Filters to display files of a selected type in a given Node. You can also group Filters, and toggle between the Filters within a group to view only the files of a specific type in the same window, at a given point. By using Filters, you can focus on the information at hand, without getting diverted by too many information objects in a Node. You can create a maximum of 128 Filters and 64 Filter groups for your desktop.
Skins | You can alter the look and feel of your desktop elements by applying different Skins to them. You can create and store different skins and apply them to your Portals, within seconds. You can create a maximum of 128 Skins for your desktop.
Menu bar and Toolbar | Optimal Desktop's Menu bar and Toolbars are entirely customizable. You can drag and drop shortcuts to your favorite files, folders and web pages onto your toolbars. You can assign icons to your menu bars and toolbars and specify skin elements for them.
Managers | You can use various Managers, such as Desktop Manager, Portal Manager, State Manager, Skin Manager, Toolbar Manager and Shortcut Manager to manage Optimal Desktop.


Optimal Desktop At a Glance

The following image presents an overview of Optimal Desktop:

In the example image above, you can see:

  • 2 Panels – each displays the same Portal
    • Panel 1 displays two windows – a TreeView and ListView
    • Panel 2 displays two windows – a ListView and PreView
  • Panel 1 – the Tutorial Container is selected in the ListView
    • The Tutorial Container contains several Nodes, including – Desktop and Optimal Desktop Tutorial, the latter which is selected
    • The active window is indicated by a highlighted caption bar.
  • Panel 2 – A PreView of a document is visible in the PreView window
    • The ListView window shows the document icon in a selected subdirectory, while the PreView window displays it.

Here is a description of the views you see in the figure:

TreeView - displays folders in their hierarchical order.

ListView - displays the contents of a selected object or folder.

PreView - In a PreView window, you can view and (in some cases) edit files of various types. You can find out more about viewers and related configuration by selecting Customize Desktop SettingsViewer from the Managers menu.


Main Features of Optimal Desktop

Your Desktop

Optimal Desktop States

Optimal Desktop Filters

Optimal Desktop Managers


Your Desktop

Your desktop consists of two Panels, and one or more Portals. A Portal holds information objects within Containers and Nodes. Each Portal includes Containers, each Container includes Nodes or shortcuts to information objects.

Each Panel consists of three windows, TreeView, ListView and Preview windows. Tree-view (Folder View in Microsoft terminology) is your systems index, ListView shows the content of the selected node in TreeView, and the preview window shows the content of what is selected in the ListView window.

The following figure describes the elements of a Panel:

A Panel is an instance of the Optimal Desktop windowing display. Your desktop comprises of 2 pre-configured Panels, which can be split into a maximum of 2 windows each. Therefore, you can view a maximum of 4 windows on your desktop.

You can open a Portal within a Panel. You can open the same Portal in both Panels or view a different Portal per panel.

Each Panel has three distinct window formats for viewing; TreeView, ListView, and PreView. You can use either of these views to display the contents of the current Portal.

You can drag and drop files between the two Panels. You'll find this feature especially useful when you need to copy files between folders, or to remote FTP sites! All you need to do is create 2 Panels viewing different folder areas, or one or more FTP sites, on your machine and move the files between them!


Optimal Desktop States

A 'State' is an instance that includes all the standard and customized elements of Optimal Desktop. A State includes:

  • User-defined toolbar settings
  • Viewing windows
  • Container
  • Node
  • Filter customizations and
  • Visibility definitions for elements such as Tabs and Filters.

Optimal Desktop has many pre-configured States that you can use to optimize your windowing experience, as shown in the following figure:


Optimal Desktop Filters

You can choose to view only the files and folders that you want to see in a Node or Portal. You can do this by applying Filters.

For example, when you apply a Filter that displays only MS Word files, all other files and folders in that folder will be hidden.

Filters help you locate files in your ListView window. Filters only work when you browse your desktop files and folders.

You need to activate the Filter bar before you can view a Filter's contents.

Note: Filters can be used only in the ListView.

You can create your own custom Filters using the Filter Manager, which is accessed from the Manager menu item.

You can also group Filters for ease of use. You can toggle among the Filters in a Filter group, to view files of different types.


Optimal Desktop Managers

Managers are Optimal Desktop control modules for customizing your desktop behavior and settings. You can access any of the following Managers from the Managers menu item:

Desktop Manager

Using the Desktop Manager, you can customize and manage desktop settings, Portals, Popups, Filters, Skins, States, Templates, Tool Bars, Shortcuts, Graphics. Export/Import, aliases and other features.

Portal Manager

Using the Portal Manager, you can create new Portals and re-arrange Containers and Nodes within existing Portals. You can also copy or move Containers from one Portal to another. Here you also assign a skin to your portal. Skins are defined in the Skin Manager.

Filter Manager

Using the Filter Manager, you can create new Filters and Filter Groups and make them available on the Filter menu. You can also copy, move or delete Filters.

State Manager

Using the State Manager, you can change the size, position and alignment of your windows. You can choose to hide or show toolbars, specify the size of your preferred view and much more.

You can create your own States or use pre-configured States such as Preview, to display the information in your Panels.

Skin Manager

Using the Skin Manager, you can customize and apply your own personal look and feel to your desktop. You can define colors for captions, Containers, Nodes, background colors and borders. You are left to your imagination to enjoy this Optimal Desktop feature.

Toolbar Manager

Using the Toolbar Manager, you can define your own toolbars. You can drag and drop commands into your new toolbar. You can also add commands to an existing toolbar. You can also drag files, URLs, and folders and place them directly into a toolbar.

Shortcut Manager

You can specify customized shortcuts for various commands of Optimal Desktop. You can combine shortcut keys such as CTRL, ALT and SHIFT, with any alphanumeric character or function key on your keyboard.

Template Manager

You can customize and modify the various Templates in Optimal Desktop. Each element, such as a Node, Container, Portal, has its own Template (default values), which is used to create more Optimal Desktop elements.

Import/Export Manager

You can define templates for importing and exporting Optimal Desktop objects to a file. If you use this feature to manage groups of users, or for archiving purposes, templates can standardize your import/export settings.

Popup Manager

You can define the type of popups that are to be blocked automatically, define a list of web sites to be blocked by title and URL, define a list of web sites to be excluded from blocking and view a log file of all blocked popups.

Alias Manager

You can define user defined aliases. These aliases replace system paths. Once a path is replaced with an alias, the underlying folders can be moved and the links will always be valid.


How To Get Started With Optimal Desktop

This section describes the basic configuration and customization tasks that you can perform using Optimal Desktop to manage your day-to-day tasks and get the best out of Optimal Desktop.

Select from the topics below (or use the navigation pane at the left) to learn more about various aspects of Optimal Desktop.

  • Using Your View Options
  • Using Containers
  • Using Nodes
  • Using Portals
  • Using Filters and Filter Groups
  • Using States
  • Using Skins
  • Using Menus and Toolbars
  • Using Shortcuts


Using Your View Options

Using Optimal Desktop, you can choose to view your information in different ways.

This section addresses the following topics:

Changing Desktop Views

Changing To a Different View

Adding a View

Expanding a View

Hiding or Showing Views and Tabs

Closing Node Views


Changing Desktop Views

You can view 2 Panels at a time, on your desktop. Each Panel can display 3 windows. You can display a maximum of four windows.

From the Desktop Manger, you can choose among different Panel views. To change your desktop's View, click Mangers > Desktop Manager. Select the Splitter tab.

The following window appears:

From this window, you can select the view you want for your desktop. You can drag windows inside the Splitter view, as shown in the figure. Once you are satisfied with the desktop View, click Apply.

You can return to the previous View by clicking the back button [image] on the Toolbar.

The Splitter divides the desktop Panels into windows. Each window has a caption area and a view area. The caption area displays the Panel number and the Portal's name.


Changing To a Different View

Frequently used views are generally stored in states. TreeView, ListView an PreView are pre-configured states that can be accessed via toolbars and/or shortcut keys.

The Toolbar views are F8,F9,F10,F11 and F12. However you can change your views on the fly.

To change to a different view, right click on the View's caption and select Change View To. Select ListView, TreeView or PreView, from the options displayed.

You can also go the the Current Desktop command in your managers and use the splitter to configure a desired view. If you want to store your view, once you have configured your desired view, go to the State manager, create a new state and use the camera icon in the settings tab to take a snapshot of your current windowing configuration. Refer to the States section for more instructions.


Adding a View

If your Panel displays only one window view, you can add another. You can display up to 3 window views in a given Panel, TreeView, ListView and Preview.

You can manage your views when you have the caption bar visible. You can see the commands (Change View to, and Add View to Corner) in the window below.

You can also manage your windows with the box in the caption bar. For example when you have both TreeView and ListView in a window and you expand you ListView (click on the box), you can toggle between the views with the windows box, or by using the Zoom command (Alt + Z) in the view menu.


Expanding a View

By default, Optimal Desktop Views are displayed vertically, so that you can view multiple windows at a time. If you want to view more information in a window, you can expand the window horizontally. To do so, right click on the title bar (caption) of the View that you want to expand and select Expand this View Horizontally from the options displayed (Notice that the caption must be visible). If you want to return to the vertical view again, right click on the title bar and select Expand this View Vertically from the options displayed. You can also click the back button [image] on the toolbar, to return to the previous display.


Hiding or Showing Views and Tabs

Views:

To hide a View, right click on the title bar (caption) of the View that you want to hide. Then select Hide this View from the displayed options. You can return to the previous display by clicking the back button [image] on the toolbar.

Tabs:

You can choose to view or hide Filter Tabs, Container Tabs and Node Tabs in a Portal. To do so, right click on the title bar of the desired Portal to display or hide the particular tabs. Then select the desired option from the following:

  • Container Tabs On/Off
  • Node Tabs On/Off
  • Filter Tabs On/Off

You can also access the Show/Hide options from View > Toolbars. This option is one of the default toolbars that come with Optimal Desktop.

ALT + S, and Alt + H are states designed to show and hide the tabs. You can find these commands in the State menu.


Closing Node Views

To close Node views, right click on the title bar of a Node View and select the desired option from the "Close Node Views menu in the bottom half" following:

Close Node View > Close All Node Views

If you choose this option, all open Node views will be closed in the current Portal. This command is the same as closing an open browser window by clicking X in the upper right corner. After closing the window your ListView in the right window will point at the Desktop.

Close Node View > Close All Node Views – Keep Current

If you choose this option, all Node views (open web browser windows) except the currently active Node will be closed.

Close Node View > Close Node Views – Show List (Shift + Alt + W)

If you choose this option, a list of all the open Nodes configured for the current panel is displayed, as shown in the following figure:

This list displays all the Nodes with open views in the Panel. Un-select the Views that you want to close and click Close Views.

Note: To close an active Node View, right click on the active Node caption and select Close Node View from the options displayed. This action will take you to the Home node in the first container of the Portal (Ctrl + W)


Using Containers

A Container contains Nodes that hold shortcut links to information objects. You can think of a Container as a bin that holds many folders within it.

This section addresses the following topics:

Creating and Configuring a New Container

Customizing a Container

Copying or Moving a Container

Renaming A Container

Deleting a Container

Activating a Different Container


Creating and Configuring a New Container

You can create a new Container as follows:

  • From the Main Menu, click New > New Container.

OR

  • Right click the title bar or anywhere on the skin of the Portal for which you want to create a new Container. Select New Container from the options displayed.

OR

  • Right click on a Container tab and select New Container from the options displayed.

The Container:New Container(1) Window opens, as shown below:

In the General tab of the New Container window, specify the following:

Name: Specify a name for your new Container. This Name is managed internally by the program.

Caption : This is the name that will be displayed on your Container tab. It's a good idea to select a name that will help you to identify the contents of your Container

Tooltip: The Tooltip is the message that appears when you place your cursor over your Container tab. Your message can comprise a maximum of 255 characters. It's a good idea to specify a message that explains the contents of the Container. For example, if your Container contains Nodes that hold links only to MS Excel Worksheets for the last quarter, your tooltip could read "Excel Worksheets for the last quarter".

Synchronizing your tooltip with Container name: If you want your tooltip and caption to display the same text as your Container name, mark the Synchronize Caption with Name and Synchronize Tooltip with Name checkboxes.

Note: These checkboxes are marked by default.

Change Icon: You can choose an icon to display along with your Container, from the array of interesting icons in Optimal Desktop. By default, your new Container comes without an icon. To specify an icon for your Container, click Change Icon at the bottom of the New Container window. Select an icon for your Container. The icon appears next to your new Container's tab.

You can also insert your comments in the Comments textbox. You can view these comments when you edit the Container's settings again.

Click OK to save your new Container.

Your new Container comes with a default Home Node that points to the root folder of your Computer.

If you want to make changes to your default Containers text and icons, use the container settings in the Template Manager.

You can customize your Container's appearance and assign Nodes to your Container. For more information, see Customizing a Container and Using Nodes.


Customizing a Container

You can customize a Container, as follows:

  • Right click on a Container's tab.
  • Select Customize Container from the options displayed. The Container: Container Name window appears.

OR

  • Select Customize > Customize Portal from the options displayed.
  • In the Portal: Portal Name Window that appears, select the Containers Tab. You will see a list of the Containers that belong to that Portal.
  • Open the Container that you want to customize. The Container: Container Name window appears.

Note: Ordinarily, you would choose the first option to customize a single Container. However, the second option is recommended if you want to customize more than one Container.

You can customize your Container in the following ways:

  • By changing name, caption, tooltip and icon specifications. See Creating and Configuring a New Container for more information.
  • By changing the default color and position specifications. To change the default Container's Skin settings, open the Tabs tab of the Container: Container Name Window. You can customize the Skin elements of your Container, as shown in the following figure:

The Skin Manager manages your Container's looks. You can configure various Skins for Optimal Desktop using the Skin Manager. When you apply a Skin to your desktop, all the elements of the desktop take on the appearance defined in that Skin. However, your individual Container settings will overwrite the default Skin's setting.

Note: Your individual Container setting remains intact even when you apply a different Skin to your desktop, after customizing your Container.

In the Tabs tab of the Containers window, you can specify the following:

Foreground:
You can specify the color of your Container's Caption.

Background:
This sets the color of your Container tab.

Foreground-Active:
This sets the color of your Container's Caption, when the Container is active. A Container is considered 'active' when it is selected from the desktop, to view its contents.

Background-Active:
This sets the color of your Container tab, when the Container is active.

Flyby:
This changes the color of your Container Caption when you point your cursor at a Container.

You can also customize your Container's Node settings. To do so, click the Nodes tab in the Container: Container Name window. See Using Nodes for more information.

In the Icon Alignment pane, you can choose your selected icon's position in the Container tab. Note that the position you specify will override the default Skin's icon position. Your choice of icon positioning will be maintained even if you apply a different Skin to the Container later.

You can also choose to hide or display Container tabs on your desktop. See Changing Desktop Views for more information.


Copying or Moving a Container

You can copy or move a Container, along with its settings, to the same Portal or to a different Portal, as follows:

  • Right click on the title bar of the Portal that holds the Container you want to move or copy. Select Customize > Customize Portal, from the options displayed.

OR

  • Click Managers > Portal Manager. You will see a list of all the Portals configured for your desktop. Select the Portal, which holds the container that you want to copy or move.

The Portal: Portal Name window is displayed. Open the Containers tab, as shown in the figure:

To copy or move a Container:

  • Select the Container you want to copy or move.
  • Click the copy icon [image] at the top right corner of the Portal:PortalName Window. Alternatively, you can click ALT+M.
  • The Move/Copy Container window is displayed, as shown in the figure above. This window displays the Portal name and the position of the selected Container within that Portal.
  • Select the Portal to which you want to copy or move the Container, from the Portal drop-down list, under the Move/Copy To pane.
  • From the Position drop-down list, choose a position for your new container on the container bar in the chosen Portal.
  • Click Copy to copy or Move to move the Container.

Note:

You cannot move a Container to the Portal of its source.

To re-position a Container within the Container bar on your Portal window, click on a Container tab and drag it upwards or downwards, while holding the ALT key down.


Renaming A Container

You can rename a Container as follows:

  • Right click on a Container tab, and click Customize Container from the options displayed

OR

  • Click Managers > Portal Manager and select the Portal, which holds the Container you want to rename. Click the Containers tab in the Portal:PortalName Window.

You will see the Container:ContainerName window. In the General tab of this window, you can change the name, caption and tooltip of the Container. You can also customize your other Container settings in this window.


Deleting a Container

You can delete any Container on your desktop, as follows:

  • Right click on a Container tab and select Delete Container from the options displayed.

OR

  • Right click on the title bar of the Portal to which the Container belongs. Select Customize > Customize Portal from the options displayed. In the Portal:PortalName Window that is displayed, select the Containers tab. You will see a list of the Containers that have been configured for that Portal.

OR

  • Click Managers > Portal Manager and select the Portal, which holds the Container you want to delete. You will see a list of the Containers that belong to that Portal.

Select the Container you want to delete and click the delete button [image]. Alternatively, you can right click and select Delete from the options displayed.

The deleted Container is removed from its Portal.

You can also create shortcuts for creating and deleting a Container. See Using Shortcuts for more information.

Note: Ordinarily, you would choose the first option to delete one or more Containers belonging to a single Portal. However, the second option is recommended if you want to delete Containers belonging to other Portals as well.


Activating a Different Container

You can create any number of Containers for a Portal. These Containers are listed on your desktop.

The Container whose contents you are currently viewing is your 'Active' Container.

To select, or activate a different Container, try one of the following ways:

  • Just click the Container tab of the Container that you want to activate.

OR

  • Click on the Portal menu in your toolbar, navigate to the desired portal, container and node.
  • Right click on the title bar of the Portal to which the Container belongs. Choose Select > Select Portal from the options displayed. A list of the Portals in that Panel is displayed. Each Portal is linked to its Containers. You can then navigate the Containers within that Portal and select the one you want.


Using Nodes

Nodes are shortcuts to information objects. A Container can hold a maximum of 30 Nodes.

By selecting a node you can view a Node's contents in the ListView.

Nodes can point directly to files, folders and web pages. The web page link can be dragged directly from the web, or the address bar, or you can create links to the web or files through the Optimal Link program. You can view the type of Link from the Link tab, inside the Node dialog box.

This section addresses the following topics:

Creating and Configuring a New Node

Create a Node Link

Customizing the Look and Feel of a Node

Renaming a Node

Copying or Moving a Node

Deleting A Node

Activating a Different Node

Accessing Web Pages in Optimal Link

Viewing Your Web Page Using Optimal Link


Creating and Configuring a New Node

When you create a Portal, a Container is automatically created. This Container holds a Node called Home that points to your home directory. This Node cannot be changed.

You can create a new Node by using one of the following ways:

  • Drag a folder, file, FTP site, web page, disk drive etc., from the TreeView, or directly from the ListView, and drop it into the Container where you want to place the Node. You can also drop your selected information object on the active Container tab, where you see the default Node. The Node:NodeName window displays the details of the selected information object. Click OK to accept the default settings of the Node you copied.

OR

  • You can select the required information object from the TreeView, right click on it and select Add To Tab from the options displayed. The Node:NodeName window displays the details of the selected information object. Click OK to accept the default settings of the Node you copied. The Node will be added to the active Container.

OR

  • Click New > New Node. The Node:NodeName window appears, as shown below:

In the General tab of the Node:NodeName window, specify the following:

Name: A unique name for your new Node.

Caption : This is the name that will be displayed on your Node tab. It's a good idea to select a name that will help you to identify the contents of your Node.

Tooltip: The Tooltip is the message that appears when you place your cursor over your Node tab. Your message can comprise a maximum of 255 characters. It's a good idea to specify a message that explains the contents of the Node. For example, if your Node contains folders that hold only image files, your tooltip could read "All My Image Files!"

If you create a Node by dragging a folder, file or web page URL from the TreeView, the Node's tooltip will display the file path of the file, folder or URL. If you change this tooltip, you won't be able to see the path.

Synchronizing your tooltip with Node name: If you want your tooltip and caption to display the same text as your Node name, mark the Synchronize Caption with Name and Synchronize Tooltip with Name checkboxes.

Note: These checkboxes are marked by default.

Change Icon: You can choose an icon to display along with your Node, from the array of interesting icons in Optimal Desktop. By default, your new Node comes with the standard windows desktop icon. You can choose to retain this icon, or click Change Icon at the bottom of the Node:NodeName window. Select an icon and click OK to confirm. The icon appears within your new Node's tab.

You can also insert your comments in the Comments textbox. You can view these comments when you edit the Node's settings again.

You can drag and drop folders into your new Node and configure Views. You can also customize your Node's appearance.


Create a Node Link

When creating a new node (see Creating and Configuring a New Node), you can select the type of Node tab you want to create. There are three choices.

  • Web Link - This option is equivalent to dragging a link from the toolbar, or from your list view. You can select this option and type in an address in the Link box
  • Link to Folder – This option is like dragging a folder from a tree, and or list view. You can select a folder by expanding the link box with the arrow and choosing a folder
  • Link to File – This option lets you build a link directly to a file. Press the … to the right of the Link box and select the desired file to link. This is equivalent to dragging a file from the ListView and setting it as a tab.

Note: You can also drag an information object and drop it into a Container that is not active. You will be able to see this Node when you activate that Container. You can use this facility to organize all your files and folders into relevant Containers.


Customizing the Look and Feel of a Node

You can customize a Node, as follows:

  • Right click on a Node's tab. Select Customize Node from the options displayed. The Node:NodeName window appears.

OR

  • Right click on the title bar of the Container to which the Node belongs.
  • Select Customize > Customize Portal from the options displayed.
  • In the Portal:PortalName Window that appears, select the Containers Tab. You will see a list of the Containers that belong to that Portal.
  • Open the Container whose Node you want to customize. The Container:ContainerName window is displayed. In the Nodes tab of this window, you can see a list of the Nodes belonging to your selected Container. Select the required Node, and customize it as described below.

Note: Ordinarily, you would choose the first option to customize a single Node. However, the second option is recommended if you want to customize more than one Node.

You can customize your Node in the following ways:

  • By changing name, caption, tooltip and icon specifications. See Creating and Configuring a New Node for more information.
  • By changing the default color and position specifications.
  • By changing the Link type and pointer off of the Link tab.

To change a Node's Skin settings, do as follows:

Right click on a Node's tab and select Customize Node from the options displayed. The Node:NodeName window appears. Open the Tabs tab of this window, as shown in the following figure:

The Skin Manager manages your Node's looks. You can configure various Skins for Optimal Desktop using the Skin Manager. When you apply a Skin to your desktop, all the elements of the desktop take on the appearance defined in that Skin.

Note: The customized skin elements of your Node remain intact even when you apply a different Skin to your desktop later.

You can specify the following in the Tabs tab of the Node:NodeName window:

Foreground:
This sets the color of your Node's Caption.

Background:
This sets the color of your Node tab.

Foreground-Active:
This sets the color of your Node's Caption, when the Node is active. A Node is considered 'active' when it is selected and its contents are displayed in a View.

Background-Active:
This sets the color of your Node tab, when the Node is active.

Flyby:
This changes the color of your Node Caption when you point your cursor at the Node.

In the Icon Alignment pane, you can choose your selected icon's position in the Node tab. Note that the position you specify will override the default Skin's icon position. Your choice of icon positioning will be maintained even if you apply a different Skin to the Node later.

Note: Your individual Node Skin setting remains intact even when you apply a different Skin to your desktop, after customizing your Node.

You can also choose to hide or display Node tabs on your desktop. See Changing Desktop Views for more information.


Renaming a Node

You can rename a Node, as follows:

  • Right click on the title bar of a Node, and click Customize Node from the options displayed. The Node:NodeName window is displayed.

OR

  • Right click on the Container that holds the Node you want to rename. Choose Customize Container from the options displayed. In the Container:ContainerName window, open the Nodes tab. You will see a list of all the Nodes that belong to that Container. Open the Node you want to rename. In the Node:NodeName window that is displayed, you can change the name, caption and tooltip for the Node. You can also customize your other Node settings in this window.

For more information, see Customizing the Look and Feel of a Node.


Copying or Moving a Node

Copying or Moving a Node to the Same Portal

Copying or Moving a Node to a Different Portal


Copying or Moving a Node to the Same Portal

You can copy or move a Node, along with its settings, to the same Container or to a different Container, within the same Portal.

To move or copy a Node to a different Container within the same Portal, do as follows:

  • Right click on a Node and select Customize Node from the options displayed. Open the Location tab. In the Current Node Location pane, you will see the Portal and the Container to which Node belongs. To move or copy the Node, click Move/Copy To at the bottom of the window.
  • You will see the Move/Copy To window, as shown below:

  • In the Move/Copy To pane, select a Container in which to move or copy your Node, from the Container drop-down list. You can move or copy your Node to any Container within the same Portal.
  • Select a position for your Node from the Position drop-down list.
  • Click Move to move, to Copy to copy the Node.

Note: When you move a Node to a different Container, or to a different Portal, the Node is no longer in the original location and the action is not reversible. You will need to follow the same process to move the Node back to its original position.

You cannot copy a Node that is currently active; the Copy button is disabled. You need to de-activate an active Node before copying it.


Copying or Moving a Node to a Different Portal

You can move or copy a Node to a Container in a different Portal, as follows:

  • Right click on the Container tab that holds the Node you want to move or copy.
  • Select Customize Container from the options displayed. Click the Nodes tab, in the Container:ContainerName window, as shown below:

To copy or move a Node:

  • Select the Node you want to move or copy.
  • Click the copy icon [image] at the top right corner of the Container:ContainerName Window. Alternatively, you can click ALT+M.
  • The Move/Copy Node window is displayed, as shown in the figure above. This window displays the names of the Portal and the Container to which the Node currently belongs. You can also see the current position of the selected Node within that Container.
  • In the Move/Copy To pane, you can select the Portal and the Container to which you want to copy or move the Node.
  • From the Position drop-down list, select the position in which you want to place your Node.
  • Click Copy to copy or Move to move the Node.

Note:

When you move a Node to a different Container, or to a different Portal, the Node is shifted physically to the other Container. Once you move a Node, you can't reverse the action. You will need to follow the same process to move the Node back to its original position.

You cannot move a Node to the Container of its source.

You cannot move or copy a Node that is currently active; the Move and Copy buttons are disabled. You need to de-activate an active Node before copying or moving it.


Deleting A Node

You can delete a Node, as follows:

  • Right click on a Node, and click Delete Node from the options displayed. Note that you cannot delete an active Node.

OR

  • Right click on a Container to which the Node belongs. Select Customize Container from the options displayed. In the Container:ContainerName Window that is displayed, select the Nodes tab. You will see a list of the Nodes that belong to that Container.
  • Select the Node you want to delete and click the delete button [image]. Alternatively, you can right click on a selected Node and select Delete from the options displayed.

    The Node is removed from its Container.

Note: Ordinarily, you would choose the first option to delete a single Node. However, the second option is recommended if you want to delete one or more Nodes belonging to a Container.

To delete multiple Nodes belonging to different Containers, right click on the title bar of the relevant Portal, or a Container within the Portal. Select Customize > Customize Portal. A list of all the Containers configured for that Portal are displayed. Open the Container whose Node(s) you want to delete and delete the Nodes you want to remove from the Container.


Activating a Different Node

You can create a maximum of 30 Nodes within a Container. When you activate the Container, these Nodes are displayed on your desktop.

The Node whose contents you are currently viewing is your 'Active' Node.

To select, or activate a different Node, try one of the following ways:

  • From the list of Nodes in the selected Container, click the Node that you want to activate. The selected Node becomes active and you can view its contents.

OR

  • Right click on the title bar of the Container to which the Node belongs. Choose Select > Select Node in Portal from the options displayed. A list of Containers within that Portal is displayed. Navigate the Containers and select the Node you want to have active.


Accessing Web Pages in Optimal Link

The Optimal Link folder (displayed under the My Computer folder) is a special program that manages links to web pages, files and folders. You can create Nodes that link to URLs, and place them in the Optimal Link folder. You can also create links to files, folders and drives on your desktop using Optimal Link.

You can create a new Optimal Link, as follows:

  • Open the Optimal Link folder, from your TreeView (You can find this folder under the My Computer Folder in the TreeView). By selecting the root folder in Optimal Link, your default web page will be selected in the ListView. Essentially, Optimal Link is the replacement for your Internet Explorer, with much more powerful features for customizing links to not only your favorite web pages, but to your files and folders.
  • Right click in the Optimal Link folder in your TreeView. The Context menu for the Optimal Link program pops up. Now go to the New menu and choose New Link Folder from the options displayed.

The New Link Folder opens, as shown in the following figure:

In the General tab of this window, specify the following.

  • Name: Provide a name for your link. The name appears as a caption for your link.
  • Link: Here you can type in a complete URL (i.e. www.myexample.com) and or select a file by clicking on the folder icon to the right.

    The advantage of Optimal Link folders and your favorite trees is that you can build link structures with Optimal Link. This means you can build an entire site navigation using the Optimal Link program.
  • Script: Provide the name of any script that is associated with your URL. You can also drag links from the web to an Optimal Link folder. In this case, the web scripts will automatically populate the script field.
  • Virtual Folders: When you use the New Vfolder option in Optimal Link, you can create links that point to drives and folders. In this way you can construct a virtual map of your favorite destinations under one node!
  • Tooltip: The Tooltip is the message that appears when you place your cursor over your Node tab. Your message can comprise a maximum of 255 characters. It's a good idea to specify a message that explains the contents of the link. For example, if your Node contains folders that hold only image files, your tooltip could read "All My Image Files!"
  • Comment: Here, you can insert comments to help you recall specific aspects of the link.
  • Type: The type of link is selected by default, when you select Link or Context Folder from the right menu options.
  • Click OK to save your link.

Your Optimal Link is now created. When you want to access this Link, just expand the Optimal Link Node in the TreeView and select your link to view.

An alternate method of creating optimal link nodes is to drag and drop links from your browser window. Optimal link is more powerful than your favorite tree in two ways.

  1. You can create virtual structures of your web navigation. Each Optimal Link node can have a child node. In this way you can map an entire web site in optimal link and manage the navigation of that site locally.
  2. You can build links to files and folders and create virtual mapping of your information world.

By default, a PC logo appears with every link you create. You can change this logo for your links. To do so, click the Additional tab in the New Link Folder window. Click Change Icon and select the required Icon from the images displayed.

To modify an Optimal Link's properties, right click on an Optimal Link and select Properties. You will see the LinkName Properties window. You can modify all your link properties in this window

To create a folder to hold Optimal Links, right click in the Optimal Link ListView area and select New > Context Folder. You can group links of a specific type under a context link folder. If your Context Folder holds a single link, then opening this folder activates the link.


Viewing Your Web Page Using Optimal Link

Your Optimal Link tree acts the same way as your normal explorer tree. The nodes in Optimal Link act as folders, and when you select them you can see the contents as shown in the following figure:

You can hide other elements of your desktop to make more room for your browser display in Optimal Link TreeView. You can use a pre-configured State for this purpose. See Applying A State to Your Desktop for more information.


Using Portals

A Portal comprises of a user-defined collection of Containers and Nodes. You can define a maximum of 128 Portals for your desktop.

Each Panel on your desktop can display one Portal at a time. You can view 2 different Portals in these Panels, or view the same or different areas of the same Portal.

You can customize your Portal, apply Skins and States to it, and share your Portals with other users of Optimal Desktop.

This section addresses the following topics:

Creating a New Portal

Activating a Portal Within a Panel

Customizing a Portal

Renaming a Portal

Copying or Moving a Portal

Deleting a Portal

Exporting a Portal

Importing a Portal


Creating a New Portal

You can create a new Portal, as follows:

  • Click Managers > Portal Manager. The Portal Manager window displays a list of all available Portals in Optimal Desktop. Click [image] to go to the window that will insert a new Portal. The Portal:PortalName window appears.

OR

  • Right click on the title bar of a Portal, or a Container within a Portal. Select New Portal from the options displayed. The Portal:PortalName window appears, as shown in the following figure:

In the General tab of the Portal:PortalName window, specify the following:

Name: Specify a name for your new Portal. When you activate your Portal, you can see this name on its title bar.

Caption : This is the text that will be displayed on your Portal's title bar.

Tooltip: Your Portal displays the Nodes and Containers within it. As such, your Portal tooltip will not be displayed on your desktop. You can choose to ignore this option when you customize your Portal.

Synchronizing your tooltip with Portal name: If you want your tooltip and caption to display the same text as your Portal name, mark the Synchronize Caption with Name and Synchronize Tooltip with Name checkboxes. However, the tooltip is not displayed on your desktop, so this option may be left as it is.

Note: These checkboxes are marked by default.

Change Icon: You can choose an icon to display along with your Portal, from the array of interesting icons in Optimal Desktop. Click Change Icon at the bottom of the Portal:PortalName window. Select an icon and click OK to confirm. The icon appears next to your new Portal in the Portal Manager window.

You can also insert your comments in the Comments textbox. You can view these comments when you edit the Portal's settings again.

You can create or copy Containers into your new Portal and configure Views. You can also customize your Portal's appearance. For more information, see Customizing a Portal.


Activating a Portal Within a Panel

When you create a new Portal, it is added to the list of Portals already configured for your desktop.

Open the Current Desktop window using one of the following ways:

  • Right click on the title bar of the Panel in which you want to view the Portal. Select Customize > Customize Panel from the options displayed. The Current Desktop window is displayed.

OR

  • Click Managers > Desktop Manager. The Current Desktop window is displayed, as shown in the following figure:

Open the Panel in which you want to place your Portal (Panel


Customizing a Portal

You can customize a Portal as follows:

  • Right click on the title bar of your Portal, or a Container that belongs to the Portal. Select Customize > Customize Portal from the options displayed

OR

  • Click Managers > Portal Manager. Select the Portal you want to customize from the list of Portals.

The Portal:PortalName window is displayed, as shown below.

In the General tab, you can customize your Portal name, caption, tooltip and icon specifications. See Creating a New Portal for more information.

In the Settings tab, you can specify captions and icons for ListView, TreeView and PreView windows within your Portal.

To select an icon for a View, click [image] next to the TreeView, ListView and PreView text fields.

You can also select the Skin you want for your Portal, in the Associated Skin pane.

If you want to reset individual Skin settings to the default Skin settings, click Reset at the bottom of the Portal:PortalName window. The Reset Portal Objects window is displayed, as shown below:

You can choose to reset your Skin elements in the following areas:

  • In all Portal Containers
  • In all Portal Nodes
  • In all Portal Containers and Nodes.

In effect, you can reset Portal objects in all areas of your Portal.

Note: Resetting Portal objects is irreversible. You will lose your individual Skin settings if you choose to reset. You can, however, re-configure individual Skin settings for all your Portal objects again.


Renaming a Portal

You can rename a Portal as follows:

  • Right click on the title bar of a Portal, or a Container that belongs to the Portal. Choose Customize > Customize Portal from the options displayed.

OR

  • Click Managers > Portal Manager and open the Portal you want to rename.

You will see the Portal:PortalName window. In the General tab of this window, you can change the name, caption and tooltip of the Portal. You can also customize your other Portal settings in this window.

For more information, see Creating a New Portal and Customizing a Portal.


Copying or Moving a Portal

You can create a copy of a Portal in the Portal Manager window, as follows:

  • Click Managers > Portal Manager. You will see a list of all the Portals configured for your desktop. Select the Portal of which you want to make a copy.
  • Right click the desired Portal from the Portal Manager Window. Select Create Copy from the options displayed.
  • Your Portal copy is created as PortalName(2). For example, if you make a copy of a Portal titled New Portal, your copy will read New Portal(2). You can then open the new Portal and rename it.


Deleting a Portal

To delete a Portal, click Managers > Portal Manager. You will see a list of all the Portals configured for your desktop.

Right click the Portal you want to delete, and select Delete from the options displayed. Alternatively, you can select the required Portal and click the delete icon [image] at the top right corner of the Portal Manager window.

Note: You cannot delete a Portal that is active. You need to first de-activate the Portal (by selecting another Portal for the window) and then delete it from the Portal Manager window.


Exporting a Portal

To Export a portal use the export wizard from the file menu. This wizard helps you export all the objects in the Optimal Desktop portal as file with the extension *.oax, so you can either archive or share these portals with other users.

The Export Wizard offers two modes. An Expert mode and a Novice mode. Each mode has detailed descriptions on how to pick objects and include them in your exported file. You can create Export templates that store your settings and help you manage the exporting of your portals.


Importing a Portal

To Import a portal, you can either double click on an *.oax file, which will open the import wizard dialog for you, or go to the file menu and select the file you want to import.

The import wizard, helps you select the objects you want to import into your desktop file. You can create templates that store your import criteria, so you can automate your importing process.


Using Filters and Filter Groups

What are Filters?

Ever wanted to view only specific files in your folders? Ever wished that you could just sweep away files that are not relevant to your current need, from your view? Tired of arranging files by name or type to view the files you want?

Imagine a folder that has 40 different files in it. No matter how good an organizer you are, you would find it hard to segregate files belonging to the same project, into different folders. So what do you do? You keep all your files in one folder, and when you want files of a certain type, you end up wading through your entire, 40-files folder.

Optimal Desktop has a truly innovative solution for your file access problem. Using Optimal Desktop's custom Filters, you can choose to view only desired information objects in your view.

How do Filters work? A Filter checks to see if the files in your Node correspond to your Filter setting. If you have set a Filter to display only MS Word files, then the Filter hides all the non-MS word files from your view. In reality, your Node still contains all your 40 project files. Filters help you focus on your needs of the moment, reduce confusion and bring to you greater ease and comfort while working with Windows. You can configure multiple Filters for the same Node. When you want to view other files, all you need to do is change your Filter.

You can group a set of Filters and apply it to a Node or a Portal.

Note: Filters are available only in ListView.

What are Filter Groups?

You can group Filters and assign them to a Node or Portal. This allows you to use a specific set of Filters for a Node or Portal.

What's the difference between a Filter and a Filter Group ?

Filter – You can view only the contents of a single Filter at a time in your View. To view a different file type, you may need to customize your Filter, or change to a different Filter.

Filter Group – You can add different Filters to a group. To change to a different Filter, all you need to do is toggle to the next Filter in your Filter Group. This allows you to use many Filters and toggle amongst them for speedy, efficient file selection.

For example, you have a Node that has over 200 image files, and you need to delete 10 specific files of each type. Using a Filter group, you can toggle between displays of the different file types (.gif, .jpg, .doc, etc,.) in your View. You can view the image file types you want, and when you're through, toggle to the next range of files.

You can create Filter groups, customize them, and assign them to Nodes or Portals and toggle among them to have an uncluttered view of only specific files each time.

Note: You can customize the Filters in your Filter group, individually. With Filter groups, you can benefit from the advantage of toggling among multiple Filters, while maintaining total control over the configuration of each individual Filter.

This section addresses the following topics:

Creating a New Filter

Setting Filter Options

Customizing a Filter

Activating or Deactivating Filters

Changing To Manual Filter Mode

Creating a New Filter Group

Setting Filter Group Options

Selecting a Filter or Filter Group

Changing To a Different Filter or Filter Group

Renaming A Filter or Filter Group

Copying A Filter or Filter Group

Deleting A Filter or Filter Group


Creating a New Filter

You can create a new Filter as follows:

  • Click Managers > Filter Manager. The Filter Manager window displays with 2 options – Filters and Filter Groups. To create a Filter, double-click on the Filters option.

OR

  • Right click on the title bar of the Portal for which you want to create a Filter. Select Filters > Customize Filter from the options displayed.

OR

  • You can also right click in the Filter-set margin of the Node or Portal for which you want to create a new Filter.

    Select Customize Filters from the options displayed.

When you try either of the above options, and select Filters, you will see the Filter Manager window. From the left window pane, right click on Filters and select New Filter to display Filters:New Filter window, as shown below:

In the General tab of this window, specify the following:

Name: Specify a unique name for your Filter. You will identify the new Filter by this name in the Filter Manager window.

Caption : This is the name that will be displayed on your Filter tab. It is a good idea to select a name that will help you to identify the Filter type.

Tooltip: The Tooltip is the message that appears when you place your cursor over your Filter tab. Your message can comprise a maximum of 255 characters. It's a good idea to specify a message that explains the Filter type. For example, if your Filter is configured to display only files that start with the letter A, your tooltip could read "Files beginning with 'A'!".

Synchronizing your caption and tooltip with Filter name: If you want your tooltip and caption to display the same text as your Filter name, mark the Synchronize Caption with Name and Synchronize Tooltip with Name checkboxes.

Change Icon: You can choose an icon to display along with your Filter, from the array of interesting icons in Optimal Desktop. Click Change Icon at the bottom of the Filter:Filtername window. Select an icon and click OK to confirm. The selected icon appears in your new Filter tab. You can specify the position of the selected icon in your Filter tab. For more information, see Customizing a Filter .

Note: Filters set for standard file types such as MS Word, MS Excel, etc., are pre-configured with their own proprietary icons, unless you specify a different icon.

The Filter-set margin is the bordered area at the bottom of each ListView window. If you don't see Filters in your View, click Filters > Filter Bar On/Off. This is a toggle option. If your Filters are on, they will be switched off, and vice versa.

Comments: You can insert your comments in the Comments textbox. You can view these comments when you edit the Container's settings again. You can use this field to insert notes relevant to the Filter.

Click OK to save your Filter. The Filter that you have created is not automatically displayed in the Filter-margin area. To view your Filter, right click in the Filter-margin area and select Change To Filter from the options displayed. Select the new Filter from the list of Filters. You can see your new Filter displayed in the Filterset margin.


Setting Filter Options

You need to configure your new Filter to include or exclude specific folders or file types. Your Filter is operational only when this information is specified.

To configure your Filter, right click on the Filter you want to configure and select Customize Filter. Alternatively, click Managers > Filter Manager and open the Filter you want to customize.

The Filter:Manager window opens, as follows:

In the Filters display for this window, you can see the file types and folders that are specified. specify the file types and folders that you want to include or exclude for your view:

File Options:

Open the File Options tab.

In the Include Files pane, include the file types you want to view in your Node or Portal. To do so, click the [image] icon, or just press the Down key. To include files beginning with a specific letter, type the letter, followed by *.*, as shown in the figure. You can include files based on their filename extensions. For example, you can enter *.bat, to indicate that you want to include all batch files in your Filter view. You need to adhere to these file specification formats to enable your Filter.

In the Exclude Files pane, specify the files you want to Filter out from your view. When you apply the Filter, these files will be blocked from your view.

Mark the Filter Shortcut Targets checkbox to enable Filter shortcuts.

To open the Include Files or Exclude Files panes, you can directly place your cursor in the required pane, or else, click I for Include Files and E for Exclude Files. These shortcuts have been provided to facilitate easy use.

To delete a Filter option, select the required option, and click the delete [image] icon. To delete a group of Filter options, hold SHIFT down and click on the options you want to delete. To delete individual options, hold CTRL down and select the options you want to delete.

Folder Options:

Open the Folder Options tab. In the Include Folders pane, type in the names of the folders you want to include in your Filter. You need to provide the exact name of your folder, or the Filter may not work.

In the Exclude Folders pane, specify the folders that you want to exclude from the Filters. When you apply the Filter, these folders will be blocked from your view.


Customizing a Filter

You can customize your Filter as follows:

  • Right click on the Filter that you want to customize. Select Customize Filters from the options displayed.

OR

  • Click Managers > Filter Manager. Select the Filter you want to customize, from the list of Filters.

The Filter:Filter Name window is displayed, as shown below.

  • You can change name, caption, tooltip and icon specifications. See Creating A Filter for more information.
  • You can change the default color and position specifications. To change the default Skin's Filter settings, open the Tabs tab of the Filter:FilterName Window. You can customize the Skin elements for your Filter, as shown in the following figure:

The Skin Manager manages your Filter's looks. You can configure various Skins for Optimal Desktop using the Skin Manager.

Note: Your customized Filter Skin elements will remain intact even when you apply a different Skin to your Node or Portal later.

In the Tabs tab of the Filter:FilterName window, you can specify the following:

Foreground Color:
Select your Filter's Caption color.

Background Color:
Select your Filter tab's color

Foreground-active:
Select your active Filter's Caption color. A Filter is considered to be 'Active' when it is selected.

Background-active:
Select your active Filter's tab color.

Flyby:
Select the color of your Filter's Caption during mouse-over.

In the Icon Alignment pane, you can choose your selected icon's position in the Filter tab. Note that the position you specify will override the default Skin's icon position. Your choice of icon positioning will be maintained even if you apply a different Skin to the Filter later.

You can also customize your Filter's Filter options. See Setting Filter Options for more information.


Activating or Deactivating Filters

Filters are active in a Panel, by default, when you turn Filters on. You can deactivate Filters in your Panel, by right-clicking on the Filter tab, and selecting the required option, as shown in the following figure:

This command activates or de-activates the Filters for all Nodes and Portals within the current Panel.

Note: When Filters are active, your selected Filter can be seen in the Filter bar, at the bottom of your Node or Portal. When Filters are inactive, Filters remain in the Filterset margin as grayed options. However, you need to have the Filter bar turned on to view Filters, active or inactive.

When you activate Filters for a Node or Portal, you will be able to see your selected Filters or Filter groups in the Filterset margin.


Changing To Manual Filter Mode

You can view your customized Filter tabs in your Filterset margin, or choose to view Filters in the Manual Mode. Using the manual mode, you can manually specify the file type you want to display in your View. You can specify any file type, even if you have not set a Filter for it.

For example, if you have set Filters for MS Word documents, your regular Filter can display only MS Word files. To view files of another type, you will need to either edit the existing Filter to include other file types, or change to another Filter.

Using the manual mode, you can type the desired file type in the text field, and you will see only the specified file type in your View.

To set your Filters to manual mode, do as follows:

Click Filters > Filter Manual Mode, or press F3.

Your Filterset margin displaying regular Filter tabs looks like this:

Your Filterset margin displaying the manual mode Filter looks like this:

Using the manual mode, you can control your Filters in the following ways:

  • Click the down arrow [image] to open a popup of the Filter Menu. You will see all the options that are available in the Filters menu option on the menu bar.
  • Click the Enable/Disable icon [image] to enable or disable Filters.
  • Click the Folders icon [image] to show or hide folders.
  • Click the Filter Folders icon [image] to Filter folders. Note that to Filter folders, you need to allow folder display first, by clicking the Folders icon [image].
  • Click the Filter Shortcut icon [image] to enable Filter shortcuts.


Creating a New Filter Group

You can create a new Filter Group as follows:

  • Click Managers > Filter Manager. The Filter Manager window displays 2 options – Filters and Filter Groups. To create a Filter Group, choose the Filter Groups option.

OR

  • Right click on the title bar of the Portal for which you want to create a Filter. Select Filters > Customize Filter Groups from the options displayed.

OR

  • You can also right click in the Filter-set margin of the Node or Portal for which you want to create a new Filter. Select Customize Filter Groups from the options displayed.

When you try any of the above options, you will see the Filter Group:FilterName window, as shown below:

Name: Specify a unique name for your Filter Group. You will identify the new Filter group by this name in the Filter Manager window.

Caption : Specify a Caption for your new Filter Group. You can see this caption next to your Filter group name in the Filter Groups window.

Change Icon: You can choose an icon for your Filter group, from the array of interesting icons in Optimal Desktop. Click Change Icon at the bottom of the Filter Group:FilterGroupName window. Select an icon and click OK to confirm. You can see this icon next to your Filter group in the Filter Groups window.

Note: When you create a new Filter group and add Filters to it, the Filterset margin of your Node will display the tab setting of each individual Filter within the Filter group. Skin elements configured for your Filter Group tab will not be utilized.

The Filter-set margin is the bordered area at the bottom of each ListView window. If you don't see Filters in your View, click Filters > Filter Bar On/Off. This is a toggle option. If your Filters are on, they will be switched off, and vice versa.


Setting Filter Group Options

You now need to assign Filters to your Filter group. Open the Settings tab in the Filter Group:FilterName window, as shown below:

Select the required Filter(s) from the Available Filters pane.

Click the Forward icon [image]. The selected Filter is moved to the Assigned Filters pane.

To remove a Filter from the Assigned Filters pane, select the required Filter and click [image]. The selected Filter is moved to the Available Filters pane.

To select specific Filters to be assigned or removed, hold down the CTRL key and click on the required Filters. To select a group of Filters that are placed in a row, hold down the SHIFT key and click on the required Filters.

Click OK to save your Filter group. The Filter group that you have created is not automatically displayed in the Filter-margin area. You need to select it first. Right click in the Filter-margin area and select Change To Filter from the options displayed. Select the new Filter from the list of Filters. You can see your new Filter displayed in the Filterset margin.

Note: You need to activate Filters to view them in the Filterset margin. See Activating or Deactivating Filters for more information.

You can customize your Filter group options. To do so,
right click on a Node or the title bar of a Portal. Select Filters > Customize Filter Groups


Selecting a Filter or Filter Group

When you create a Filter, your Filter is added to the list of Filters created for that Node or Portal. To apply a Filter's setting to a Node or Portal, you need to select it, as follows:

  • Right click on the title bar of the Node or Portal for which you want to select a Filter or Filter group.
  • To select a Filter, choose Filters > Select Filter from the options displayed. A list of the Filters that have been created for that Node or Portal is displayed. Select the required Filter.
  • To select a Filter Group, choose Filters > Select Filter Group. A list of the Filter groups that have been created for that Node or Portal is displayed. Select the required Filter group.

Alternatively, you can right click in the Filterset margin and choose Select Filter or Select Filter Group from the options displayed. Select the required Filter or Filter group from the list of Filters that have been assigned to the Node or Portal.


Changing To a Different Filter or Filter Group

You can change to a Filter or Filter group from the list configured for the current Portal, or choose a Filter or Filter group from the list of all the Filters configured for your desktop.

To change to a different Filter or Filter Group, do as follows:

  • Right click on the title bar of the Node or Portal for which you want to change to a different Filter.
  • To change to a Filter, choose Filters > Change to Filter from the options displayed. Select a Filter from the list of Filters created for your Portal.

    To change to a Filter from among the Filters configured for your desktop, click Filters > Change to Filter > All Filters.

  • To change to a Filter group, choose Filters > Change to Filter Group from the options displayed. Select a Filter group from the list configured for your Node or Portal.

    To change to a Filter Group from among the Filter Groups configured for your desktop, click Filters > Change to Filter > All Filters.

Alternatively, you can right click in the Filterset margin and choose Change to Filter or Change to Filter Group from the options displayed. You can select the required Filter, Filter group, or global lists from here.

Note: Make sure that your Filters are active and the Filter bars are turned on. See Activating or Deactivating Filters for more information.


Renaming A Filter or Filter Group

You can rename a Filter or Filter group, by using one of the following ways:

  • Right click on the Filter tab of the Filter or Filter group you want to rename. Select Customize Filter or Customize Filter Group as required, from the options displayed.

OR

  • Right click on the title bar of the Node or Portal whose Filter or Filter group you want to rename. Select Filters > Customize Filters or Filters > Customize Filter Groups as required, from the options displayed. Select the required Filter or Filter groups from the list that is displayed.

When you use either of these options, you will see the Filter:FilterName window.

You can change the Filter name, caption and tooltip in this window. You can also choose a different icon for your Filter. For more information, see Creating a New Filter


Copying A Filter or Filter Group

You can create a copy of a Filter or Filter group, as follows:

  • Click Managers > Filter Manager. The Filter Manager window displays 2 options – Filters and Filter Groups. Choose the required option.
  • You will see either the Filters window or the Filter Groups window, depending on your choice. These windows display a list of Filters and Filter groups that have been configured for your desktop.
  • Click the copy icon [image] at the top right corner of the this Window. Alternatively, you can right click the required Filter or Filter group and select Create Copy from the options displayed.
  • Your Filter or Filter group copy is named FilterName(2). For example, if you make a copy of a Filter titled *.EXE, your copy will read *.EXE(2). You can then open new Filter or Filter group and rename it.

Alternatively, you can use the following methods to copy a Filter or Filter group.

  • Right click on the title bar of the Portal or Node,

OR

  • Right click in the Filterset margin area.
  • Select Filters > Customize Filters or Filters > Customize Filter Groups as required, from the options displayed. You can see the Filters window. You can copy your Filter(s) in this window, as explained above.


Deleting A Filter or Filter Group

You can delete a Filter or a Filter group, as follows:

  • Click Managers > Filter Manager. The Filter Manager window displays 2 options – Filters and Filter Groups. Choose the required option.
  • You will see either the Filters window or the Filter Groups window, depending on your choice. These windows display a list of Filters and Filter groups that have been configured for your desktop.
  • Click the delete icon [image] at the top right corner of the this Window. Alternatively, you can right click the required Filter and select Delete from the options displayed.

OR

  • Right click on the title bar of the Portal or Node tab and select Filters > Customize Filters.

OR

  • Right click in the Filterset margin area and select Filters > Customize Filter Groups as required, from the options displayed.

The Filters window appears. You can delete the selected Filter(s) in this window, as explained above.


Using States

A 'State' is an instance of total desktop customization. States include user-defined toolbar settings, windows configuration, Container, Node and Filter customizations and visibility definitions for elements such as tabs and Filters.

A State is not the same as a Skin. You can only define colors and item positions within a Skin. Optimal Desktop's States feature stores your View and Tab customizations and applies them to your desktop when selected.

You can define the following in a State:

  • Specific positions for your Nodes and Containers within a Portal.
  • View specifications for your window views – ListView, TreeView, PreView, expanded view, etc,.
  • Your toolbar configuration and visibility.
  • Visibility options - show or hide tabs, menus and toolbars, for optimizing space.
  • Specify active Portal, active Container and active Node.
  • Default Skin for a State. You can also change the Skin manually after the State is applied.

What is the advantage of using different States?

When you use pre-configured States, you can change not one but many elements on your desktop at one time. For example, when you need to view your web links in the ListView window, you would want to expand the window for better browsing. You would also want to move the other views, hide tabs, and close certain views to make more room for your browser.

If you do all these each time you want to view a favorite URL, you would be wasting precious time. Using the States feature, you can store your required view specifications in a State, and apply it to your desktop before viewing a URL. You can then view your favorite pages without moving things about on your desktop! You can even assign a keyboard shortcut to your favorite States and toggle between States whenever you want.

States provide you with a great windowing experience. Using States, you can assume total control of your desktop.

This section addresses the following topics:

Applying A State to Your Desktop

Assigning a Shortcut to a State

Renaming a State

Deleting a State


Applying A State to Your Desktop

You can use different States to manipulate your desktop, Views, tab positions and much more. Think of a State as an automated, immediate re-organizing of your desktop, without physically moving things about.

States are configured for your desktop. A State's impact is not restricted to a Portal or a Panel, unlike Skins.

You can apply any of the pre-configured States to your desktop, as follows:

  • Right click on the title bar of a Portal or Panel on your desktop. Choose Select State from the options displayed. Select the required State from the list of States displayed

OR

  • Click the States menu option. You can see a drop-down list of all the States configured for your desktop. Select the State that you want to apply to your desktop.

The following figure shows how Optimal Desktop appears when the TreeView State is applied. You can see the list of pre-configured States under the States menu option. The State Preview is chosen here, to demonstrate the change when the State is applied:

The following window shows the changed State of the desktop, after the State titled Preview is applied:

As you can see, the State Preview has been configured to hide Panel number 2's ListView, and display a PreView window in its place. You can see the document selected in the ListView displayed in the PreView window.

To restore the previous State, click the back [image] button on the toolbar.


Assigning a Shortcut to a State

You can assign keyboard shortcuts to your favorite States, and toggle between different States as you work. This feature is especially useful when you want to expand or collapse windows to view information. For example, if you want to view a selected document in an expanded PreView window, you can use a shortcut to apply the Preview II State. When you want to revert to the original State, you can either use the original State's shortcut, or click the back [image] button on the toolbar.

You can assign keyboard shortcuts preceded by CTRL or ALT.

To assign shortcuts to States, do as follows:

  • Click Manager > State Manager.
  • Open a State from the list of States displayed in the State Manager window. In the State:StateName window that is displayed, click the Settings tab, as shown below:

Place your cursor in the Enter new Shortcut text field and press the CTRL or ALT key. You will see either CTRL or ALT in the shortcut field. Next, press a character or number for the shortcut command, for example, M.

Your new shortcut for the selected State is CTRL+M.

Click OK to save your shortcut. For more information on using shortcuts, see Creating a Shortcut.


Renaming a State

You can rename a State only from the State Manager window. To rename a State, do as follows:

Click Managers > State Manager, or right click on the title bar of a Portal and choose Select State > State Manager.

The State Manager window displays all the States configured for your desktop. Open the State you want to rename. The State:StateName window is displayed. In this window, you can change the name, caption and other customized settings of your State.


Deleting a State

You can delete a State only from the State Manager window. To delete a State, do as follows:

Click Managers > State Manager, or right click on the title bar of a Portal and choose Select State > State Manager.

The State Manager window displays all the States configured for your desktop. Select the State you want to delete and click the Delete icon [image]. Alternatively, you can right click on the selected State and choose Delete from the options displayed.


Using Skins

A 'Skin' refers to the look and feel of your desktop. Using Optimal Desktop Skins, you can change the colors, tab positions, tab size and fonts of your desktop elements at will, anytime.

You can also customize the Skin aspects of individual desktop elements such as Nodes, Containers and Portals. These customizations will override the default Skin configuration of your desktop elements.

You can associate your Skin to a Portal or a Panel. If you associate a Skin with a Portal, your Skin changes every time you change your Portal. To keep your Skin elements constant, associate your Skin to a Panel.

You could configure a Skin to impact only specific elements within a Portal, such as Containers and Nodes. Or, you could configure a Skin to change only the borders or your Panels. You can unleash your imagination and create fun Skins for your desktop!

This section addresses the following topics:

Applying a Skin to your Desktop

Assigning a Skin to a Portal

Renaming a Skin

Deleting a Skin


Applying a Skin to your Desktop

You can apply a Skin to elements Optimal Desktop, from the list of pre-configured Skins. The Skin that you apply impacts only the current Panel.

To apply a Skin to a Panel, click Managers > Skin Manager.

The Skin:<Current Skin > window displays as shown in the figure below. The Current Skin is indicated with the current skin scheme in use. On the left side of the window are the pre-configured Skins. The right side of the window shows the Skin selected for the loaded desktop's name, caption, and tooltip.

To select a Skin from the pre-configured skins available, click on the desired skin from the left window pane and note that the general tab settings change.

You can change the icon for each of the pre-configured available skins by going to the Skin:<Skin Manager > :<General > tab.

If you wish to see a preview of how Optimal Desktop window panels will appear with the newly selected skin, go to the Captions tab and click on the Show Skin Preview icon (blue monitor, lower right of right window pane).

The Skin Preview screen is displayed with a ListView sample. To see the effect of the pre-configured Skin you selected, click the Active button at the bottom of the preview window. You can see the effects of other Skins immediately as you select them.

When you are happy with the selection made, click the Hide button on the Skin Preview screen to remove the window and return to the Skin Manager screen.

Note: When you apply a different Skin to a Portal that already has a Skin associated with it, you will be asked to confirm whether you want to replace the Portal Skin setting.


Assigning a Skin to a Portal

You can assign Skins to Portals and Panels. If you associate a Skin to a Portal, the Skin changes when you change Portal settings. To keep your Skin constant when you change Portal settings, assign the Skin to a Panel.

To assign a Skin to a Portal, do as follows:

  • Click Managers > Portal Managers. From the list of Portals configured for your desktop, open the Portal that you want to modify. The Portal:PortalName window opens.

OR

  • Right click on the title bar of a Portal and choose Customize > Customize Portal from the options displayed. The Portal:PortalName window opens, as shown in the following figure:

Navigate to the Settings tab in the Portal:PortalName window, as shown in the figure. In the Associated Skin pane of the Settings tab, select the Skin you want. Click OK to save your changes.


Renaming a Skin

You can rename a Skin in the following ways:

  • Click Managers > Skin Manager. Open the Skin that you want to rename

OR

  • Right click on the title bar of the Panel or Portal whose Skin you want to rename. Choose Customize > Customize Skin from the options displayed.

The Skin:SkinName window is displayed. In this window, you can rename your Skin, change caption and select a different image for your Skin.


Deleting a Skin

You can delete a Skin only from the Skin Manager window. To delete a Skin, click Manager > Skin Manager. A list of all the Skins configured for your desktop is displayed. Select the Skin you want to delete and right click on the selected Skin and choose Delete from the options displayed. Skins that are assigned to portals can not be deleted.


Using Menus and Toolbars

Optimal Desktop menus and toolbars can be customized, manipulated and moved around to suit your tastes.

You can drag a toolbar item from its designated toolbar to other toolbars. Just drag and drop the desired command in the toolbar, while holding down the ALT key. Using this feature, you can totally optimize your desktop space!

You can also drag a folder or a web page to the Toolbar using the ALT key. In this way you are creating a shortcut to your desired destination in the Toolbar.

To organize your toolbar commands into drop-down menus, you must use the Toolbar manager. Once the Manager Toolbar manager module is selected, you can start customizing your toolbar commands as described below.

You can activate or de-activate your Optimal Desktop toolbars and menus.

This section addresses the following topics:

Activate or De-activate Menus and Toolbars and Build New Toolbars

Building Menus and Defining New Commands

Customizing Your Toolbars or Menus


Activate or De-activate Menus and Toolbars and Build New Toolbars

You can activate or de-activate any menu or toolbar in Optimal Desktop, and also build new toolbars from scratch as follows:

  • Click Managers > Toolbar Manager. Open the Toolbars tab, as shown below:

  • Select the toolbars you want to view.
  • Click OK to save your toolbar setting.

To de-activate, just de-select the toolbar you do not want to view.

To build a new toolbar, click on the (first icon) above the list. A blank toolbar will be added to your screen. Now you can go to the commands tab and drag any command from the list and create a new toolbar.

You can also customize the look and feel of your toolbars. For more information, see Customizing Your Toolbars or Menus.


Building Menus and Defining New Commands

This section of the Toolbar manager consists of three parts.

  • The General tab manages a list of all commands present in Optimal Desktop. The commands are organized in categories, so users can find the commands faster. When building new toolbars and menus you simply drag the commands from the right window and drop it in the desired location on the toolbar or the destination menu.
  • The User Commands tab, lets you build new user-defined commands. Any command that is created per dragging links onto the toolbar, also appears in this list as a user defined command.
  • The Basic Commands tab specifies which commands will always be visible when the "Show recently used commands" is selected. All commands not in this list will initially be hidden when users select a menu.

Building New Menus

The first item in the Commands General tab is designated as "New Menu". Drag this command into your toolbar. Once the command is on the toolbar, you can right click on the command and change the description of the toolbar menu and assign an icon to this new toolbar command.

Next you can drag commands from this table and place it into this new toolbar. Once you are done, you can use the Alt key to move this command into a desired location


Customizing Your Toolbars or Menus

You can customize your toolbar's style, button icon size, and button image color, among other things.

  • To customize your toolbar, click Managers > Toolbar Manager. From the Toolbars tab, select the toolbar or menu bar that you want to customize.
  • Open the Options tab. You will see the your toolbar's present options, as shown below:

To change your toolbar style, choose one of the following form the Toolbar Style drop-down list:

  • Normal
  • Normal Look 2000
  • Rebar

Note: When you choose a toolbar style, Optimal Desktop displays a message cautioning you that these styles will also change toolbar visibility and position. Click OK in the message window to apply the change to your Toolbar.

To change your size of your toolbar button's icon size, select the size you want from the Button icon size drop-down list. This setting impacts all the buttons in the selected toolbar.

You can choose to always view your toolbar button's image color or view it only during mouse over. Select this option from the Button Image Color drop-down list.

You can choose to display or hide your toolbar tooltips and toolbar shortcuts. A toolbar tooltip is the message that appears when you move your cursor over a toolbar. A toolbar shortcut is a user-defined shortcut that can be used instead of clicking the toolbar. This shortcut appears in your tooltip, to let you know you can use the shortcut as an alternative.

To enable these features, mark the Show Tooltips and Show Shortcuts in Tooltips checkboxes.


Using Shortcuts

You can define and use keyboard shortcuts to execute various Optimal Desktop functions. Your keyboard shortcuts must be preceded with either CTRL or ALT.

You can use shortcuts to apply a State, toggle between States, insert or delete a Container, etc,. When you use keyboard shortcuts, you optimize on time, increasing task management efficiency. We recommend that you use more keyboard shortcuts, to realize and make full use of the scope and range of Optimal Desktop's total desktop control.

You can create a maximum of 128 shortcuts for your desktop.

Before you create a new shortcut, you need to go through the list of Optimal Desktop's reserved shortcuts. You can create a shortcut that has not already been used by Optimal Desktop.

Note: You can also change and customize Optimal Desktop's reserved shortcuts.

This section addresses the following topics:

Creating a Shortcut

Deleting a Shortcut


Creating a Shortcut

You can create a shortcut, as follows:

  • Click Manager > Shortcut Manager. The window opens with the Shortcuts tab, as shown below:

You can create shortcuts for the commands listed under various categories in the Shortcut Manager window.

  • Choose a category from the Category drop-down list.
  • Select a command within the chosen category, for example New Container.
  • Place your cursor in the Enter new Shortcut text field and hold down the CTRL, ALT or SHIFT key. You will see your keyboard shortcut key (CTRL, ALT, SHIFT) in the shortcut field. Next, press a character or number for the shortcut command, for example, Z, while still holding down the shortcut key.

Your new shortcut for creating a new Container is CTRL+Z.

Your new shortcut appears in the Assignments pane of the Shortcut Manager window.

The next time you want to create a new Container, you can just click CTRL+Z!

Note:

You can create several shortcut combinations using the keyboard shortcuts CTRL, ALT, SHIFT and Function keys F1 to F11 with alphanumeric characters. For example, you can define a shortcut for creating a new Container in this form: CTRL+ALT+F2.

If the shortcut that you specify has already been assigned to a different function, Optimal Desktop displays a message, along with details of the assigned shortcut.

You can specify more than 1 shortcut for an action.

Using this highly flexible feature, you can arrive at an infinite number of shortcut combinations to use. Note that you can create a maximum of 128 shortcuts for your desktop.

Optimal Desktop provides you with a list of pre-configured shortcuts that you can select for any command. To view this list, click the drop-down arrow [image] next to the Enter new Shortcut text field.


Deleting a Shortcut

You can delete a shortcut as follows:

  • Click Managers > Shortcut Manager.
  • Open the Shortcuts tab.
  • Choose a category and navigate to the function whose shortcut you want to delete.
  • In the Assignments pane of the Shortcut Manager window, you will see the assigned shortcut for the selected function.
  • Select the shortcut and click the delete icon [image]. Your shortcut is deleted from Optimal Desktop. To reverse your deletion, click Undo at the bottom of the Shortcut Manager window.


Desktops

How many desktops can I create and use?

The Desktop file size does not change after deleting objects (e.g. Portals)


How many desktops can I create and use?

You can create any number of desktops. Each time you save a desktop in a different name, it becomes a new desktop. A desktop is a file, just like your project file.


The Desktop file size does not change after deleting objects (e.g. Portals)

Use Save As instead of Save when saving the Desktop. Save only saves changes without reducing the Desktop file size.


Panels

What is the difference between a Portal and a Panel?

How many windows can I view within a Panel?


What is the difference between a Portal and a Panel?

A Panel is an instance of Optimal Desktop's windowing display. Each Panel can display one Portal at a time. The same Portal can be displayed in both Panels. You can view different areas of the same Portal in the 2 Panels and share information between them!


How many windows can I view within a Panel?

You can view a maximum of 2 windows within a Panel, at any given point in time. You can use Optimal Desktop's Splitter feature, to split your Panels into windows and size them as desired. You can also size your panels directly on your desktop. See Changing Desktop Views for more information.


FAQs - Portals

Portals

How many Portals can I create for my desktop?

How to change to a different Portal?


How many Portals can I create for my desktop?

You can create 128 Portals for your desktop. However, you can view only 2 Portals at a time, one in each Panel.


How to change to a different Portal?

To view a different Portal in a Panel, right click on the title bar of the current Portal. Choose Select > Select Portal from the options displayed. A list of the Portals configured for that Panel is displayed. Select the Portal you want.


FAQs - Nodes

Nodes

How many Nodes can I create for a Container?

Can I undelete a Node that I deleted by mistake?


How many Nodes can I create for a Container?

You can create a maximum of 32 Nodes in a Container.


Can I undelete a Node that I deleted by mistake?

Yes, you can. To restore a Node, right click on the title bar of the current Portal, or a Node within that Portal. Select Restore Deleted Node from the options displayed. Your deleted Node is restored. Please note that if you save your desktop after deleting a Node, you will not be able to restore the deleted Node, unless you load the previous desktop again.


FAQs - Containers

Containers

How many Containers can I create for a Portal?

Can I undelete a Container that I deleted by mistake?


How many Containers can I create for a Portal?

You can create a maximum of 32 Containers for a Portal.


Can I undelete a Container that I deleted by mistake?

Yes, you can. To restore a Container, right click on the title bar of the current Portal, or a Container within that Portal. Select Restore Deleted Container from the options displayed. Your deleted Container is restored. Please note that if you save your desktop after deleting a Container, you will not be able to restore the deleted Container, unless you load the previous desktop again.


Filters

I want more control over my Filters. How do I achieve this?

How can I see which Filter is active if I hide the Filter Bar?


I want more control over my Filters. How do I achieve this?

If you want complete control over your desktop files and filter them at will, switch to the manual filter mode. See Changing To Manual Filter Mode for more information.


How can I see which Filter is active if I hide the Filter Bar?

Click Managers > Customize Desktop Settings.

Open the Options tab, as shown below:

Select the Show active Filter name in Caption checkbox.


Skins

How many Skins can I create for my desktop?

If I apply a different Skin to a Portal, what happens to my individual Container Skin setting?


How many Skins can I create for my desktop?

You can configure 128 different Skins for your desktop. Unleash your creativity!


If I apply a different Skin to a Portal, what happens to my individual Container Skin setting?

Your individual Container setting remains intact even when you apply a different Skin to your desktop, after customizing your Container.


States

How many States can I create for my desktop?

How can I quickly apply different States to my desktop?


How many States can I create for my desktop?

You can create a maximum of 128 States for your desktop.


How can I quickly apply different States to my desktop?

You can apply States very quickly by assigning Shortcuts to States. See Assigning a Shortcut to a State for more information.


Tips 'n' Tricks - Nodes

Nodes

  • Keep a "Desktop Node" in all of your Containers. Selecting this Node shows the complete tree and allows for fast future additions of new Nodes using the drag and drop functionality.
  • To close an active Node View, right click on the active Node caption and select Close Node View from the options displayed.
  • To delete multiple Nodes belonging to different Containers, right click on the title bar of the relevant Portal, or a Container within the Portal. Select Customize > Customize Portal. A list of all the Containers configured for that Portal are displayed. Open the Container whose Node(s) you want to delete and delete the Nodes you want to remove from the Container.


Optimal Links

  • Drag your favorite web links directly from your web browser window into a Container and create an Optimal Link.
  • You can specify your Optimal Link as http://www.abc.com or just plain abc.com. Optimal Desktop displays the required URL in Optimal Web.


Tips 'n' Tricks - Portals

Portals

To quickly create a new Portal, right click on the title bar of a Portal, and select New Portal from the options displayed.


Tips 'n' Tricks - Containers

Containers

  • Move items that belong together but reside in different Nodes into one Container
  • To re-position a Container within the Container bar on your Portal window, click on a Container tab and drag it upwards or downwards, while holding the ALT key down.


Shortcuts

  • You can create several shortcut combinations using the keyboard shortcuts CTRL, ALT, SHIFT and Function keys F1 to F11 with alphanumeric characters. For example, you can define a shortcut for creating a new Container in this form: CTRL+ALT+F2.
  • You can specify more than 1 shortcut for an action.


Your Projects

  • Name Containers / Panels / Nodes according to the project they belong to.
  • Use Filters to view only desired files.
  • Use States to quickly change Desktop settings.
  • Assign and use keyboard shortcuts for States to switch among multiple states quickly and efficiently.
  • When Filters are active, your selected Filter can be seen in the Filter bar at the bottom of your listview window. When Filters are inactive, Filters remain in the Filterset margin as grayed options. However, you need to have the Filter bar turned on (Filters > Filter Bar On/Off) to view Filters, active or inactive.


We Welcome Your Feedback

Having a problem with Optimal Desktop? Have an interesting suggestion for us? Please contact us.

Mailing Address | Optimal Desktop, Inc. 13900 Tahiti Way Suite 306 Marina Del Rey, CA 90292
Fax Number | (310) 822-3999
E-mail Address | support@optimalaccess.com
URL | http://ww.optimalaccess.com

Please include the following information when reporting a problem:

  • Software version and type.
  • Operating System version.
  • Activities preceding the problem.
  • Error messages, if any. Please also click Details next to the Windows error message and send us that information.
  • 3rd party software tools that were running when the error occurred, if any.


End-User License Agreement for Optimal Desktop

IMPORTANT— READ CAREFULLY:

This is a legal agreement between you (either an individual or an entity) and Optimal Access corporation. By opening the sealed software packet containing the software, and / or by using the software, you acknowledge that you have read this license agreement, understand it, and agree to be bound by its terms. You further agree that it is a full and complete agreement between us, superseding all prior written or verbal agreements of any kind. If you do not understand or do not agree to the terms of this agreement, you must cease using this product immediately and promptly return all materials (including disk(s) and written materials) to Optimal Access Corporation.

This section addresses the following topics:

Optimal Access Corporation Software License Agreement

U.S. Government Restricted Rights


Optimal Access Corporation Software License Agreement

GRANT OF LICENSE

This License Agreement permits you to use only one copy of the enclosed Optimal Access Corporation software program (the "SOFTWARE") on a single computer. The SOFTWARE is in "use" on a computer when it is loaded into temporary memory (i.e. RAM) or installed into permanent memory (e.g. hard disk, CD-ROM, or other storage device) of that computer. However, installation on a network server for the sole purpose of internal distribution shall not constitute "use" for which a separate license is required, provided you have a separate license for each computer to which the SOFTWARE is distributed.

COPYRIGHT

The SOFTWARE is owned by Optimal Access Corporation or its suppliers and is protected by United States copyright laws and international treaty provisions. Therefore, you must treat the SOFTWARE like any other copyrighted material (e.g. a book or musical recording) except that you may either (a) make one copy of the SOFTWARE solely for backup or archival purposes, or (b) transfer the SOFTWARE to a single hard disk provided you keep the original solely for backup or archival purposes. You may not copy the written materials accompanying the SOFTWARE.

OTHER RESTRICTIONS

You may not rent or lease the SOFTWARE, but you may transfer the SOFTWARE and accompanying written materials on a permanent basis provided you retain no copies and the recipient agrees to the terms of this Agreement. You may not reverse engineer, de-compile, or disassemble the SOFTWARE. If the Software is an update or has been updated, any transfer must include the most recent update and all prior versions.

DUAL MEDIA SOFTWARE

If the SOFTWARE package contains multiple media such as 3.5" disks and CD-ROM disks, then you may use only the disks of the media appropriate for your single-user computer. You may not use the disks of the other media on another computer or loan, rent, lease, or transfer them to another user except as part of the permanent transfer (as provided above) of all SOFTWARE and written materials.

LIMITED WARRANTY

This program is provided "as is" without any warranty of any kind, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The entire risk as to the quality and performance of the SOFTWARE is with you, the licensee. Should the SOFTWARE prove defective, you assume the risk and liability for the entire cost of all necessary repair, service, or correction. Some states / jurisdictions do not allow the exclusion of implied warranties, so the above exclusion may not apply to you. This warranty gives you specific legal rights, and you may have other rights which vary from state / jurisdiction to state / jurisdiction.

Optimal Access Corporation does not warranty the functions contained in the SOFTWARE will meet your requirements, or that the operation of the SOFTWARE will be error-free or uninterrupted. Optimal Access Corporation does warrant that the disk(s) on which the program is furnished shall be free from defects in materials and workmanship for a period of ninety (90) days from the date of purchase, so long as proof of purchase is provided.

CUSTOMER REMEDIES

Optimal Access Corporation's and its suppliers' entire liability and your exclusive remedy shall be, at Optimal Access Corporation's option, either (a) return of the price paid, or (b) repair or replacement of the SOFTWARE that does not meet Optimal Access Corporation's Limited Warranty and which is returned to Optimal Access Corporation with proof of purchase. This Limited Warranty is void if failure of the SOFTWARE has resulted from accident, abuse, or misapplication. Any replacement SOFTWARE will be warranted for the remainder of the original warranty period or thirty (30) days, whichever is longer. Neither these remedies nor any product support services are available outside the United States without proof of purchase from an authorized non-U.S. source.

NO OTHER WARRANTIES

To the maximum extent permitted by applicable law, Optimal Access Corporation and its suppliers disclaim all other warranties, either express or implied, including, but not limited to, implied warranties of merchantability and fitness for a particular purpose, with regard to the SOFTWARE, the accompanying written materials, and any accompanying hardware. This limited warranty gives you specific legal rights. You may have others, which vary from state / jurisdiction to state / jurisdiction.

NO LIABILITY FOR CONSEQUENTIAL DAMAGES

To the maximum extent permitted by applicable law, in no event shall Optimal Access Corporation or its suppliers be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use or inability to use this Optimal Access Corporation product, even if Optimal Access Corporation has been advised of the possibility of such damages or for any claim by any other party. Because some states / jurisdictions do not allow the exclusion or limitation of liability for consequential or incidental damages, the above limitation may not apply to you.


U.S. Government Restricted Rights

The SOFTWARE and documentation are subject to export controls under the United States Export Administration Act, as amended, which Act prohibits exports of certain commodities and technical data, including software, to specified countries. In particular, the SOFTWARE may not be exported to Cuba, Iran, Iraq, Libya, North Korea, Sudan, or Syria. You hereby certify that neither the SOFTWARE nor the documentation will be transmitted or forwarded outside of your country.

If you acquired this product in the United States, this Agreement is governed by the laws of the State of Colorado.

Should you have any questions concerning this Agreement, or if you desire to contact Optimal Access Corporation for any reason, you may write to:


Glossary of Terms

Caption

Container

Desktop Node

Desktop Manager

Filter

Filter Group

Filterset-Margin

History

ListView

Node

Panel

Portal

PreView

Skin

Splitter

States

TreeView


Caption

The tile bar of a main or a view window.


Container

User-defined bins that contain a collection of Nodes. Containers can be used to group projects or related data.


Desktop Manager

Setup tool containing all Optimal Desktop functions and dialogs.


Desktop Node

The "Root" Node, highest available tree Node.


Filter

Mechanism that shows or hides selected data in a Node. Filters manipulate the information displayed in the ListView. Filters are applied to Nodes.


Filter Group

Collection of Filters. Each filter within a filter group can be customized. A filter group makes it easy to view different file types in a ListView, without changing to a different filter each time.


Filterset-Margin

The bordered area in a Portal that displays Filters and Filter groups.


History

List of actions that were recently performed.


ListView

View window displaying the contents of the selected Node in list form.


Node

A shortcut tab that points at an information object. You can drag and drop files, folders, FTP sites, or even web page URLs to form Nodes.


Panel

An instance of Optimal Desktop windowing display, used show a Portal's content. Panel views are presented using TreeView, ListView and PreView.


Portal

User-defined bin created to organize information. Portals contain Containers and Nodes.


PreView

View window that displays the content of a selected file, in a preview window.


Skin

The Look & Feel of Portals. You can specify tab properties, background images, tab colors, View settings, etc.


Splitter

Splits Optimal Desktop into the number of required windows. You can also set the size of each View window.


States

States are defined desktop configurations. States enable you to toggle among different window layouts.


TreeView

The View window displaying information in tree form, allowing a two-dimensional insight into the hierarchical structure of the data.


#2).

From the Active Portal drop-down list, choose the Portal you want to activate in the Panel.

By default, the active Container of that Portal is displayed in the Active Container drop-down list. You can select a different Container as your new Portal's active Container. You can also select an active Node for your Portal.

Alternatively, you can right click the title bar of the current Portal or a Container that belongs to the Portal. Choose Select > Select Portal from the options displayed. Navigate to the Portal of your choice from the list of Portals. Your selected Portal is activated.